%define name	ksymoops
%define version	2.4.9


Summary:	Kernel oops and error message decoder
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4

License:	GPL
URL:		ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Source1:	ksymoops-gznm.bz2
Source2:	ksymoops-script.bz2
Source3:	README.mandrake.bz2
Patch1:		ksymoops-2.4.3-add_gz_modules_support.bz2
BuildRequires:	binutils-devel
Requires:	binutils
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep

%setup -q
%patch1 -p1

bzcat %{SOURCE1} > ksymoops-gznm
bzcat %{SOURCE2} > ksymoops-script
bzcat %{SOURCE3} > README.mandrake

%build
CFLAGS="$RPM_OPT_FLAGS" make DEF_MAP=\\\"/boot/System.map-*r\\\" all
 
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make INSTALL_PREFIX=%{buildroot}%{_prefix} INSTALL_MANDIR=%{buildroot}%{_mandir}/ install

mv %{buildroot}/usr/bin/ksymoops %{buildroot}%{_bindir}/ksymoops.real

install -m0755 ksymoops-gznm %{buildroot}%{_bindir}/
install -m0755 ksymoops-script %{buildroot}%{_bindir}/ksymoops

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README INSTALL Changelog README.mandrake
%{_bindir}/ksymoops
%{_bindir}/ksymoops-gznm
%{_bindir}/ksymoops.real
%{_mandir}/man8/ksymoops.8*

%changelog
* Fri Nov 10 2006 Texstar <texstar@houston.rr.com> 2.4.9-4pclos2007
- Build for PCLinuxOS 2007

